Newbie help with 5.0.1 -back to an older version

whistler222

macrumors 6502
Original poster
Nov 8, 2007
318
0
Currently have iphone 4 - ATT on 5.0.1

Sometime ago, i JB on iOS 4.x.x . i forget.

I've searched and there's so much info I can't wrap my head around it.

I need to:
- downgrade to 4.x.x
- JB and most importantly
- Unlock so i can use on Tmobile.

Can someone guide me on how to do each of the 3?

Thanks!
 

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,532
At the iPhone hacks section.
If you upgraded to official 5.0.1 even if you did have shsh blobs to downgrade you will not be able to downgrade your baseband so you cannot unlock it.
So this phone cannot be used on Tmobile since there's nothing out there that can unlock it at the moment.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.